Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class FontUtil

    java.lang.Object
      org.apache.fop.fonts.FontUtil

    public final class FontUtil

extends java.lang.Object

Font utilities.

Method Summary
`static java.lang.String` | `guessStyle(java.lang.String fontName)` Guesses the font style of a font using its name.
`static int` | `guessWeight(java.lang.String fontName)` Guesses the font weight of a font using its name.
`static int` | `parseCSS2FontWeight(java.lang.String text)` Parses an CSS2 (SVG and XSL-FO) font weight (normal, bold, 100-900) to an integer.
`static java.lang.String` | `stripWhiteSpace(java.lang.String str)` Removes all white space from a string (used primarily for font names)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseCSS2FontWeight

    public static int parseCSS2FontWeight(java.lang.String text)

  Parses an CSS2 (SVG and XSL-FO) font weight (normal, bold, 100-900) to an integer. See http://www.w3.org/TR/REC-CSS2/fonts.html#propdef-font-weight TODO: Implement "lighter" and "bolder".

  Parameters:
    `text` - the font weight to parse
  Returns:
    an integer between 100 and 900 (100, 200, 300...)

### stripWhiteSpace

    public static java.lang.String stripWhiteSpace(java.lang.String str)

  Removes all white space from a string (used primarily for font names)

  Parameters:
    `str` - the string
  Returns:
    the processed result

### guessStyle

    public static java.lang.String guessStyle(java.lang.String fontName)

  Guesses the font style of a font using its name.

  Parameters:
    `fontName` - the font name
  Returns:
    "normal" or "italic"

### guessWeight

    public static int guessWeight(java.lang.String fontName)

  Guesses the font weight of a font using its name.

  Parameters:
    `fontName` - the font name
  Returns:
    an integer between 100 and 900

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.